Webpack inject.preload.js file not found [duplicate]

  • A+
Category:Languages

This question already has an answer here:

I use Vue/Typscript with webpack. And everytime i open page inject.preload.js throws an error like GET blob:http://URL/1fbc0606-8477-416b-a45f-50b4d824f2bb 0 () and i don't know where it comes from or why something got inject.

I tested it on Google Chrome Incognito mode and Firfox there is no error thrown.

How can i find out why this error occurs?

Console ouput

package.json

    {       ...        "dependencies": {         "axios": "^0.18.0",         "email-validator": "^1.1.1",         "generate-password": "^1.3.0",         "grunt": "^1.0.1",         "jquery": "^3.2.1",         "lodash": "^4.17.5",         "moment": "^2.22.1",         "moment-timezone": "^0.5.17",         "promise-polyfill": "^7.1.2",         "vue-axios": "^2.0.2",         "vue-class-component": "^6.2.0",         "vue-cloneya": "^1.0.5",         "vue-property-decorator": "^6.0.0",         "vue-spinner": "^1.0.3",         "vuex": "^3.0.1",         "vuex-class": "^0.3.0",         "invert-color": "^1.2.3",         "vuejs-datepicker": ""       },       "devDependencies": {         "@types/node": "^9.4.7",         "css-loader": "^0.28.10",         "eslint": "^4.19.1",         "eslint-loader": "^2.0.0",         "eslint-plugin-html": "^4.0.3",         "eslint-plugin-typescript": "^0.11.0",         "grunt-contrib-less": "^1.4.1",         "grunt-git-describe": "^2.4.2",         "grunt-open": "^0.2.3",         "grunt-shell": "^2.1.0",         "html-loader": "^0.5.5",         "i": "^0.3.6",         "ts-loader": "^2.3.7",         "typescript": "2.7.2",         "typescript-eslint-parser": "^14.0.0",         "typings": "^2.1.1",         "uglifyjs-webpack-plugin": "^1.2.4",         "vue": "^2.5.16",         "vue-loader": "^14.2.1",         "vue-template-compiler": "^2.5.15",         "webpack": "^3.11.0",         "webpackbar": "^2.6.1"       }        ...    } 

webpack.config.js

/* eslint-disable no-undef */ const path = require('path'); const webpack = require('webpack'); const UglifyJSPlugin = require('uglifyjs-webpack-plugin');  module.exports = {     entry: './templates/src/app.ts',     output: {         path: path.resolve(__dirname, './dist'),         publicPath: '/dist/',         filename: 'bundle.js'     },     module: {         rules: [             {                 enforce: 'pre',                 test: //.(js|ts|vue)$/,                 include: [                     path.resolve(__dirname, 'templates/src')                 ],                 loader: 'eslint-loader'             },             {                 test: //.vue$/,                 loader: 'vue-loader',                 options: {                     loaders: {                         // Since sass-loader (weirdly) has SCSS as its default parse mode, we map                         // the "scss" and "sass" values for the lang attribute to the right configs here.                         // other preprocessors should work out of the box, no loader config like this necessary.                         'scss': 'vue-style-loader!css-loader!sass-loader',                         'sass': 'vue-style-loader!css-loader!sass-loader?indentedSyntax',                     }                     // other vue-loader options go here                 }             },             {                 test: //.tsx?$/,                 loader: 'ts-loader',                 exclude: /node_modules/,                 options: {                     appendTsSuffixTo: [//.vue$/]                 }             },             {                 test: //.(png|jpg|gif|svg)$/,                 loader: 'file-loader',                 options: {                     name: '[name].[ext]?[hash]'                 }             },             {                 test: //.html$/,                 loader: 'html-loader'             },             {                 test: //.css$/,                 use: [ 'vue-style-loader', 'css-loader' ]             }         ]     },     resolve: {         extensions: ['.ts', '.js', '.vue', '.json', '.html'],         alias: {             'vue$': 'vue/dist/vue.esm.js'         }     },     devServer: {         historyApiFallback: true,         noInfo: true     },     performance: {         hints: false     },     devtool: '#eval-source-map' };  if (process.env.NODE_ENV === 'production') {     module.exports.devtool = '#source-map';     // http://vue-loader.vuejs.org/en/workflow/production.html     module.exports.plugins = (module.exports.plugins || []).concat([         new webpack.DefinePlugin({             'process.env': {                 NODE_ENV: '"production"'             }         }),         new UglifyJSPlugin({             sourceMap: true         }),         new webpack.LoaderOptionsPlugin({             minimize: true         })     ]); } 

 


The error occurs because of AdBlock extension. To verify you can disable the extension in chrome://extensions/ url.

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: